Installation
Also available as:
PDF
loading table of contents...

Specifications for Hadoop Cluster

All Hadoop-related nodes must meet the following specifications:

  • All cluster nodes must be running CentOS 6.x, CentOS 7.x, or Ubuntu 14.04

  • The cluster must be running HDP 2.5.x or HDP 2.6.x managed by Ambari 2.4.2 (or later)

  • The cluster must have a minimum of the following nodes:

    • Two Hadoop master nodes

    • Four Hadoop slaves nodes

    • One node for Ambari

  • Each of the Hadoop Slave and Master nodes must meet the minimum specifications. See Minimum System Requirements.

  • The following services must be installed across the Hadoop Master and Slave nodes:

    • HDFS

    • HBase

    • ZooKeeper

    • Kafka

    • Storm

    • YARN

    To determine the supported version for each service, refer to Ambari, and choose Admin > Stacks and Versions.

  • Each of the following components must be installed on at least four slave nodes:

    [Note]Note

    For security reasons, no other workloads should be running on the cluster.

    Figure 3.1. Ambari Component